#ifndef	__MMC1_H__
#define	__MMC1_H__

#include	"..\interface.h"

typedef	struct	MMC1
{
	u8 Latch, LatchPos;
	u8 Regs[4];
	void	(*Sync)	(void);
}	TMMC1, *PMMC1;

extern	TMMC1	MMC1;

void	MMC1_Init (void (*)(void));
int	MMC1_SaveMI (Ar128);
int	MMC1_LoadMI (const Ar128);
void	MMC1_Write (int,int,int);
void	MMC1_SyncMirror (void);
void	MMC1_SyncPRG (int);
void	MMC1_SVROM_SyncPRG (int);
void	MMC1_SyncCHR_ROM (int);
void	MMC1_SyncCHR_RAM (int);
void	MMC1_SyncWRAM (void);
void	MMC1_SOROM_SyncWRAM (void);

#endif	/* __MMC1_H__ */